This repository has been archived by the owner. It is now read-only.
Permalink
Browse files

Upgrade a few gems, avoid requiring dependencies

Upgrade to using the latest HAML and SASS. Other
dependencies need not be manually required.
  • Loading branch information...
mfrost committed May 17, 2012
1 parent e72e737 commit 8e4243705e25fa67d423484813b8dc92ec47f9da
Showing with 8 additions and 7 deletions.
  1. +4 −3 Gemfile
  2. +4 −4 Gemfile.lock
View
@@ -4,12 +4,13 @@ gem "data_mapper", "~> 1.2.0"
gem "dm-sqlite-adapter"
gem "do_sqlite3"
-gem "haml", "3.0.25"
-gem "json"
+gem "haml", "~> 3.1.6"
+gem "sass", "~> 3.1.18"
+
gem "sinatra", "1.1.2"
gem "sinatra-authorization", "1.0.0"
+
gem "bcat", "0.5.2"
-gem "rack", "1.1.0"
# If you want to use Thin:
# gem "thin"
View
@@ -94,7 +94,7 @@ GEM
data_objects (= 0.10.8)
extlib (0.9.15)
fastercsv (1.5.5)
- haml (3.0.25)
+ haml (3.1.6)
hpricot (0.8.3)
httparty (0.4.5)
crack (>= 0.1.1)
@@ -123,6 +123,7 @@ GEM
randexp (0.1.7)
redgreen (1.2.2)
rr (1.0.2)
+ sass (3.1.18)
sexp_processor (3.2.0)
sinatra (1.1.2)
rack (~> 1.1)
@@ -165,20 +166,19 @@ DEPENDENCIES
dm-sweatshop
do_sqlite3
extlib (= 0.9.15)
- haml (= 3.0.25)
+ haml (~> 3.1.6)
hpricot (= 0.8.3)
i18n (= 0.5.0)
- json
mocha (= 0.9.10)
nap (= 0.4)
nokogiri (= 1.4.4)
notifo (= 0.1.0)
pony (= 1.1)
- rack (= 1.1.0)
rack-test (= 0.5.7)
randexp (~> 0.1.6)
redgreen (= 1.2.2)
rr (= 1.0.2)
+ sass (~> 3.1.18)
sinatra (= 1.1.2)
sinatra-authorization (= 1.0.0)
sqlite3

0 comments on commit 8e42437

Please sign in to comment.